.NET

Reply
Contributor
Dave Jameson
Posts: 12
Registered: ‎09-16-2005
Message 11 of 12 (73 Views)

Re: Create layer programmatically

05-12-2006 12:07 AM in reply to: fmarcelino
Thanks 'parcea'
I have a lisp version already but here is something you could add to yours to place a description in your layer definition.
;;;*Syntax (ldescription name desc)
(DEFUN ldescription(LAYERNAME LAYERDESC)
(setq myLayer (vla-Add (vla-Get-Layers (vla-Get-ActiveDocument
(vlax-Get-Acad-Object))) LAYERNAME))
(vla-Put-Description myLayer LAYERDESC)
)
Regards
Dave
Contributor
mgsell
Posts: 19
Registered: ‎08-14-2006
Message 12 of 12 (73 Views)

Re: Create layer programmatically

12-12-2006 03:05 PM in reply to: fmarcelino
Filipe can you tell me what refernce need to be checked to use the autodesk.autocad.databseservices ? thanks
Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.
Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.